package ops

import (
	"context"
	filedPb "kpt-grpc-demo/proto/go/backend/ops"
	"kpt-grpc-demo/util/di"
)

var Module = di.Options(
	di.Provide(NewStore),
)

type Options interface {
	CreateFields(ctx context.Context, opt *filedPb.CreatedFiledRequest) (*filedPb.CreatedFiledResponse, error)
}
